# -*- coding: utf-8 -*-
from odoo import api, fields, models


class StockPickingWave(models.Model):
    _inherit = "stock.picking.wave"

    date_start = fields.Datetime('Start Time', copy=False, track_visibility='onchange')
    date_end = fields.Datetime('End Time', copy=False, track_visibility='onchange')

    @api.multi
    def confirm_picking(self):
        super(StockPickingWave, self).confirm_picking()
        self.write({'date_start': fields.Datetime.now()})

    @api.multi
    def done(self):
        super(StockPickingWave, self).done()
        self.write({'date_end': fields.Datetime.now()})
